dropObservations {SpatioTemporal} | R Documentation

## Drop Observations from a STmodel

### Description

Drops observations from `STmodel`, removing marked observations along with the corresponding locations and recomputes a number of relevant elements.

### Usage

    dropObservations(STmodel, Ind.cv)

### Arguments

`STmodel` | Model object from which to drop observations.
`Ind.cv` | A logical vector with one element per observation in `STmodel$obs`. Observations marked with the `TRUE` will be dropped from the data structure. Use `createCV` to create the logical vector.

### Value

Returns the `STmodel` without the observations marked by `Ind.cv`. Only observed locations are retained.

### Author(s)

Johan Lindstrom

### See Also

Other STmodel functions: `createCV`, `createDataMatrix`, `createSTmodel`, `estimateBetaFields`, `loglikeSTdim`, `loglikeST`, `predictNaive`, `processLUR`, `processLocation`, `updateCovf`, `updateTrend.STdata`

Other cross-validation functions: `computeLTA`, `createCV`, `estimateCV.STmodel`, `predictNaive`

### Examples

    ##load data
    data(mesa.model)

    ##Mark 30% of observations
    I <- runif(dim(mesa.model$obs)[1])<.3
    ##drop these observations
    mesa.model.new <- dropObservations(mesa.model, I)

    ##This reduces the remaining number of observations
    print(mesa.model)
    print(mesa.model.new)

    ##create cross validation structure
    Icv <- createCV(mesa.model, groups=10)

    ##drop observations from the second CV group
    mesa.model.new <- dropObservations(mesa.model, Icv==2)

    ##This reduces the remaining number of observations (and locations)
    print(mesa.model)
    print(mesa.model.new)

[Package SpatioTemporal version 1.1.9.1 Index]